# getFieldValue abstract method

dynamic getFieldValue(

1. String fieldName

)

Gets the value of a field by name.

Parameters:

- `fieldName`: The name of the field to retrieve

Returns:

- The field value (user-provided or default)
- `null` if the field doesn't exist

Example:

    final value = annotation.getFieldValue('priority');

## Implementation

    dynamic getFieldValue(String fieldName);